## salt 2014.1.13+ds

=== requirements.txt ===
Jinja2
M2Crypto
msgpack-python
pycrypto
PyYAML
pyzmq >= 2.2.0
MarkupSafe
apache-libcloud
