=== tests/integration/files/file/base/issue-1959-virtualenv-runas/requirements.txt ===
pep8==1.3.3
