=== debian/changelog ===
salt (2014.1.13+ds-3) unstable; urgency=medium

  * [5273cd4] Added python-msgpack dependency. Closes: 777665

 -- Joe Healy <joehealy@gmail.com>  Fri, 13 Feb 2015 16:27:17 +1100

salt (2014.1.13+ds-2) unstable; urgency=medium

  * [da66ee3] Addition of patch to ensure systemd service functionality works
    (Closes: 770174)
  * [6a17bb9] Added patch to prevent crash when unicode text is output from salt
    (Closes: 770909)

 -- Joe Healy <joehealy@gmail.com>  Thu, 27 Nov 2014 15:49:13 +1100

salt (2014.1.13+ds-1) unstable; urgency=medium

  * [448ac5b] Imported Upstream version 2014.1.13+ds
  * [9b5d860] Added python-apt as a dependency
  * [c068fad] Removed patch for 2014.1.11 release notes as upstream added notes
  * [4a22a13] Updated to standards version 3.9.6, no change needed

 -- Joe Healy <joehealy@gmail.com>  Tue, 21 Oct 2014 00:30:37 +1100

salt (2014.1.11+ds-2) unstable; urgency=medium

  * [fa6cb29] Added 2014.1.11 release notes

 -- Joe Healy <joehealy@gmail.com>  Fri, 26 Sep 2014 13:58:18 +1000

salt (2014.1.11+ds-1) unstable; urgency=medium

  * [d0fbbd5] Imported Upstream version 2014.1.11+ds
  * [edd6667] Fixed minor copyright issues picked up by lintian

 -- Joe Healy <joehealy@gmail.com>  Fri, 26 Sep 2014 13:31:11 +1000
