## salt 2014.7.0+ds

=== debian/changelog ===
salt (2014.7.0+ds-2) experimental; urgency=medium

  * [9954f59] Added python-requests as a dependency

 -- Joe Healy <joehealy@gmail.com>  Wed, 12 Nov 2014 15:26:00 +1100

salt (2014.7.0+ds-1) experimental; urgency=medium

  * [8e2c682] Imported Upstream version 2014.7.0+ds
  * [2ad9738] Updated patches for 2014.7 release
  * [0ac1a0c] Updated dependencies for initial 2014.7 release

 -- Joe Healy <joehealy@gmail.com>  Wed, 12 Nov 2014 10:36:31 +1100
