=== debian/control ===
--- 
+++ 
@@ -25,8 +25,8 @@
          python-jinja2,
          python-apt,
          python-yaml,
-         python-msgpack,
-         python-pkg-resources
+         python-pkg-resources,
+         python-requests (>= 1.0.0)
 Recommends: lsb-release,
             python-mako
 Suggests: salt-doc (= ${source:Version})
@@ -142,8 +142,7 @@
 Depends: ${misc:Depends},
          ${python:Depends},
          salt-common (= ${source:Version}),
-         python-msgpack,
-         sshpass
+         python-msgpack
 Description: remote manager to administer servers via salt
  salt is a powerful remote execution manager that can be used to
  administer servers in a fast and efficient way.
@@ -199,8 +198,7 @@
 Depends: ${python:Depends},
          ${misc:Depends},
          salt-common (= ${source:Version}),
-         python-libcloud (>= 0.14.1-1),
-         sshpass
+         python-libcloud (>= 0.14.1-1)
 Suggests: python-botocore
 Recommends: python-netaddr
 Description: public cloud VM management system
