=== debian/control ===
--- 
+++ 
@@ -9,27 +9,30 @@
                bash-completion,
                python | python-all | python-dev | python-all-dev,
                python-setuptools,
+               python-debian,
+               dh-python,
                python-sphinx (>= 1.0),
                dh-systemd (>= 1.4)
 Standards-Version: 3.9.6
 Homepage: http://saltstack.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-salt/salt.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-salt/salt.git
 Vcs-Git: git://anonscm.debian.org/pkg-salt/salt.git
 
 Package: salt-common
 Architecture: all
 Depends: ${python:Depends},
          ${misc:Depends},
-         ${shlibs:Depends},
          python,
+         python-dateutil,
          python-jinja2,
          python-apt,
          python-yaml,
          python-pkg-resources,
-         python-requests (>= 1.0.0)
-Recommends: lsb-release,
-            python-mako
-Suggests: salt-doc (= ${source:Version})
+         python-requests (>= 1.0.0),
+         python-croniter
+Recommends: lsb-release
+Suggests: salt-doc (= ${source:Version}),
+          python-mako
 Breaks: python-mako (<< 0.7.0)
 Description: shared libraries that salt requires for all packages
  salt is a powerful remote execution manager that can be used to
@@ -89,7 +92,8 @@
          python-crypto,
          python-msgpack,
          python-zmq (>= 13.1.0),
-         dctrl-tools
+         dctrl-tools,
+         bsdmainutils
 Recommends: dmidecode,
             debconf-utils
 Suggests: python-augeas
@@ -205,3 +209,20 @@
  provision virtual machines on various public clouds via a cleanly
  controlled profile and mapping system.
 
+Package: salt-api
+Architecture: all
+Depends: ${python:Depends},
+         ${misc:Depends},
+         python,
+         salt-master
+Recommends: python-cherrypy3
+Description: Generic, modular network access system
+ a modular interface on top of Salt that can provide a variety of entry points
+ into a running Salt system. It can start and manage multiple interfaces
+ allowing a REST API to coexist with XMLRPC or even a Websocket API.
+ .
+ The Salt API system is used to expose the fundamental aspects of Salt control
+ to external sources. salt-api acts as the bridge between Salt itself and
+ REST, Websockets, etc.
+
+
