## salt 2015.8.8%2Bds

=== debian/changelog ===
salt (2015.8.8+ds-1ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Command injection vulnerabilities in salt-api and
    salt-master caused by improper sanitized input.
    - debian/patches/CVE-2019-17361.patch: various netapi fixes and tests.
    - debian/patches/CVE-2020-11651_11652_1.patch: Checks and sanitization.
    - debian/patches/CVE-2020-11651_11652_2.patch: Adding in missing fixes.
    - CVE-2019-17361
    - CVE-2020-11651
    - CVE-2020-11652

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Thu, 06 Aug 2020 16:52:58 +0000

salt (2015.8.8+ds-1) unstable; urgency=high

  * New upstream release
    - CVE-2016-3176: Fix insecure configuration of PAM external
      authentication service (Closes: #819184)
  * Drop reproducible_builds.patch (accepted upstream)
  * Cherry-pick the four patches from 2015.8.8.2
  * Re-add shebang to ssh-id-wrapper shell script

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 04 Apr 2016 13:21:16 +0200

salt (2015.8.7+ds-1) unstable; urgency=medium

  * New upstream release.
  * Override lintian warning about long link in JavaScript comment.

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 22 Feb 2016 11:57:20 +0100

salt (2015.8.5+ds-1) unstable; urgency=high

  [ Benjamin Drung ]
  * Drop patches that were accepted upstream
  * Rewrite reproducible patch and sent it to upstream
  * Bump Standards-Version to 3.9.7 (no changes needed)
  * Ignore false positive source-is-missing lintian error (see #813013)

  [ Wolodja Wentland ]
  * New upstream release.
    - CVE-2016-1866: Improper handling of clear messages on the minion, which
      could result in executing commands not sent by the master.
  * Add Wolodja Wentland to Uploaders
  * Use secure URI for Vcs-Git

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 04 Feb 2016 10:44:45 +0100

salt (2015.8.3+ds-3) unstable; urgency=medium

  * Cherry-pick fix to silence warnings from (not installed) nova client

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 14 Jan 2016 15:48:02 +0100

salt (2015.8.3+ds-2) unstable; urgency=medium

  * salt-master: Depend on python-systemd for the startup notification
    unless sysvinit is used as default init system (Closes: #807741,
    LP: #1525184)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 14 Dec 2015 12:17:44 +0100

salt (2015.8.3+ds-1) unstable; urgency=high

  * New upstream release.
    - CVE-2015-8034: Fix information leak from state.sls cache data stored as
      world-readable (Closes: #807356)
  * Drop Fix-OS-related-grains-on-Debian.patch (accepted upstream)
  * Use upstream systemd service files (Closes: #806786)
  * Extend description of salt-cloud

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Wed, 09 Dec 2015 12:14:33 +0100

salt (2015.8.1+ds-2) unstable; urgency=medium

  * Demote python-croniter to recommends (only needed for the schedule state)
  * Add missing dependency on python-tornado >= 4.2
  * Fix OS related grains on Debian (wrongly named "Debian GNU")

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Fri, 06 Nov 2015 17:40:11 +0100

salt (2015.8.1+ds-1) unstable; urgency=medium

  * New upstream release (Closes: #801289)
  * debian/repack: Create xz compressed source tarball
  * Refresh reproducible_builds patch and refresh remaining patches
  * Drop make-log-file-group-readable.patch (applied upstream)
  * Require python-crypto (>= 2.6)
  * Add a separate salt-proxy package
  * Drop patch to support sphinx < 1.3 (sphinx is recent enough in unstable)
  * Add myself to uploaders
  * Raise compat level to 9
  * Update debian/copyright

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 05 Nov 2015 10:13:16 +0100
