## salt 2015.8.8+ds

=== pkg/smartos/esky/requirements.txt ===
GitPython==0.3.2.RC1
-r ../../../requirements/opt.txt
