=== debian/control ===
--- 
+++ 
@@ -4,35 +4,35 @@
 Maintainer: Debian Salt Team <pkg-salt-team@lists.alioth.debian.org>
 Uploaders: Joe Healy <joehealy@gmail.com>,
            Franklin G Mendoza <franklin.g.mendoza@gmail.com>,
-           Andriy Senkovych <jolly_roger@itblog.org.ua>
-Build-Depends: debhelper (>= 9.20120410~),
-               bash-completion,
+           Andriy Senkovych <jolly_roger@itblog.org.ua>,
+           Benjamin Drung <benjamin.drung@profitbricks.com>,
+           Wolodja Wentland <debian@babilen5.org>
+Build-Depends: bash-completion,
+               debhelper (>= 9.20120410~),
+               dh-python,
+               dh-systemd (>= 1.4),
                python | python-all | python-dev | python-all-dev,
+               python-debian,
                python-setuptools,
-               python-debian,
-               dh-python,
-               python-sphinx (>= 1.0),
-               dh-systemd (>= 1.4)
-Standards-Version: 3.9.6
+               python-sphinx (>= 1.3)
+Standards-Version: 3.9.7
 Homepage: http://saltstack.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-salt/salt.git
-Vcs-Git: git://anonscm.debian.org/pkg-salt/salt.git
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-salt/salt.git
 
 Package: salt-common
 Architecture: all
-Depends: ${python:Depends},
-         ${misc:Depends},
-         python,
+Depends: python-apt,
          python-dateutil,
          python-jinja2,
-         python-apt,
-         python-yaml,
          python-pkg-resources,
          python-requests (>= 1.0.0),
-         python-croniter
-Recommends: lsb-release
-Suggests: salt-doc (= ${source:Version}),
-          python-mako
+         python-tornado (>= 4.2),
+         python-yaml,
+         ${misc:Depends},
+         ${python:Depends}
+Recommends: lsb-release, python-croniter
+Suggests: python-mako, salt-doc (= ${source:Version})
 Breaks: python-mako (<< 0.7.0)
 Description: shared libraries that salt requires for all packages
  salt is a powerful remote execution manager that can be used to
@@ -56,13 +56,13 @@
 
 Package: salt-master
 Architecture: all
-Depends: ${misc:Depends},
-         ${python:Depends},
-         salt-common (= ${source:Version}),
-         python-m2crypto,
-         python-crypto,
+Depends: python-crypto (>= 2.6),
          python-msgpack,
-         python-zmq (>= 13.1.0)
+         python-systemd | sysvinit-core,
+         python-zmq (>= 13.1.0),
+         salt-common (= ${source:Version}),
+         ${misc:Depends},
+         ${python:Depends}
 Recommends: python-git
 Description: remote manager to administer servers via salt
  salt is a powerful remote execution manager that can be used to
@@ -85,17 +85,15 @@
 
 Package: salt-minion
 Architecture: all
-Depends: ${misc:Depends},
-         ${python:Depends},
-         salt-common (= ${source:Version}),
-         python-m2crypto,
-         python-crypto,
+Depends: bsdmainutils,
+         dctrl-tools,
+         python-crypto (>= 2.6),
          python-msgpack,
          python-zmq (>= 13.1.0),
-         dctrl-tools,
-         bsdmainutils
-Recommends: dmidecode,
-            debconf-utils
+         salt-common (= ${source:Version}),
+         ${misc:Depends},
+         ${python:Depends}
+Recommends: debconf-utils, dmidecode
 Suggests: python-augeas
 Description: client package for salt, the distributed remote execution system
  salt is a powerful remote execution manager that can be used to
@@ -118,9 +116,7 @@
 
 Package: salt-syndic
 Architecture: all
-Depends: ${misc:Depends},
-         ${python:Depends},
-         salt-master (= ${source:Version})
+Depends: salt-master (= ${source:Version}), ${misc:Depends}, ${python:Depends}
 Description: master-of-masters for salt, the distributed remote execution system
  salt is a powerful remote execution manager that can be used to
  administer servers in a fast and efficient way.
@@ -143,11 +139,11 @@
 
 Package: salt-ssh
 Architecture: all
-Depends: ${misc:Depends},
-         ${python:Depends},
-         salt-common (= ${source:Version}),
-         python-msgpack
-Description: remote manager to administer servers via salt
+Depends: python-msgpack,
+         salt-common (= ${source:Version}),
+         ${misc:Depends},
+         ${python:Depends}
+Description: remote manager to administer servers via Salt SSH
  salt is a powerful remote execution manager that can be used to
  administer servers in a fast and efficient way.
  .
@@ -172,11 +168,11 @@
 Package: salt-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends},
-	 libjs-sphinxdoc,
-	 libjs-modernizr,
-	 libjs-twitter-bootstrap,
-	 libjs-jquery
+Depends: libjs-jquery,
+         libjs-modernizr,
+         libjs-sphinxdoc,
+         libjs-twitter-bootstrap,
+         ${misc:Depends}
 Description: additional documentation for salt, the distributed remote execution system
  salt is a powerful remote execution manager that can be used to
  administer servers in a fast and efficient way.
@@ -199,22 +195,32 @@
 
 Package: salt-cloud
 Architecture: all
-Depends: ${python:Depends},
-         ${misc:Depends},
-         salt-common (= ${source:Version}),
-         python-libcloud (>= 0.14.1-1)
+Depends: python-libcloud (>= 0.14.1-1),
+         salt-common (= ${source:Version}),
+         ${misc:Depends},
+         ${python:Depends}
 Suggests: python-botocore
 Recommends: python-netaddr
 Description: public cloud VM management system
- provision virtual machines on various public clouds via a cleanly
- controlled profile and mapping system.
+ Salt is a powerful remote execution manager that can be used to
+ administer servers in a fast and efficient way.
+ .
+ It allows commands to be executed across large groups of
+ servers. This means systems can be easily managed, but data can
+ also be easily gathered.  Quick introspection into running
+ systems becomes a reality.
+ .
+ Remote execution is usually used to set up a certain state on a
+ remote system. Salt addresses this problem as well, the salt
+ state system uses salt state files to define the state a server
+ needs to be in.
+ .
+ Salt Cloud is built-in to Salt to provision systems on cloud hosts or
+ hypervisors and immediately bring them under management.
 
 Package: salt-api
 Architecture: all
-Depends: ${python:Depends},
-         ${misc:Depends},
-         python,
-         salt-master
+Depends: salt-master, ${misc:Depends}, ${python:Depends}
 Recommends: python-cherrypy3
 Description: Generic, modular network access system
  a modular interface on top of Salt that can provide a variety of entry points
@@ -225,4 +231,28 @@
  to external sources. salt-api acts as the bridge between Salt itself and
  REST, Websockets, etc.
 
-
+Package: salt-proxy
+Architecture: all
+Depends: salt-minion (= ${source:Version}), ${misc:Depends}, ${python:Depends}
+Description: Proxy client package for salt stack
+ Proxy minion allows a remote manager to administer devices that are unable to
+ run a minion. salt is a powerful remote execution manager that can be used to
+ administer servers in a fast and efficient way.
+ .
+ It allows commands to be executed across large groups of
+ devices. This means systems can be easily managed, but data can
+ also be easily gathered.  Quick introspection into running
+ systems becomes a reality.
+ .
+ Remote execution is usually used to set up a certain state on a
+ remote system. Salt addresses this problem as well, the salt
+ state system uses salt state files to define the state a server
+ needs to be in.
+ .
+ Between the remote execution system, and state management Salt
+ addresses the backbone of cloud and data center management.
+ .
+ This particular package provides the salt proxy minion. It
+ is able to run salt modules and states on remote hosts via a proxy
+ which transmits appropriate commands to devices and replies with the
+ results of said commands.
