=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,6 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE=1
-
-include /usr/share/python/python.mk
 
 %:
 	dh $@ --with python2,bash-completion --with=systemd
