## salt 2016.3.0+ds

=== debian/changelog ===
salt (2016.3.0+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Al Nikolov <clown@debian.org>  Fri, 17 Jun 2016 15:46:01 +0300

salt (2016.3.0+ds-1) unstable; urgency=medium

  [ Wolodja Wentland ]
  * New upstream release
  * Bump Standards-Version to 3.9.8
  * Use Build-Depends-Indep for arch independent build dependencies
    - Bump python-sphinx dependency to 1.3.5 as salt-doc FTBFS with earlier
      versions due to https://github.com/sphinx-doc/sphinx/issues/2247
    - Add python2.7-doc to correctly resolve intersphinx references to the
      Python documentation
  * Drop patches accepted upstream
  * Fix crashing maintenance process
    - See https://github.com/saltstack/salt/issues/33544 and the 2016.3.0
      release notes for details

  [ Robert James Hernandez ]
  * Moving daemon check to after loading default (Closes: #825578)

 -- Wolodja Wentland <debian@babilen5.org>  Mon, 30 May 2016 09:01:20 +0000
