=== debian/control ===
--- 
+++ 
@@ -11,11 +11,12 @@
                debhelper (>= 9.20120410~),
                dh-python,
                dh-systemd (>= 1.4),
+               dpkg-dev (>= 1.16.2),
                python | python-all | python-dev | python-all-dev,
                python-debian,
-               python-setuptools,
-               python-sphinx (>= 1.3)
-Standards-Version: 3.9.7
+               python-setuptools
+Build-Depends-Indep: python-sphinx (>= 1.3.5), python2.7-doc
+Standards-Version: 3.9.8
 Homepage: http://saltstack.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-salt/salt.git
 Vcs-Git: https://anonscm.debian.org/cgit/pkg-salt/salt.git
