## salt 2016.3.1+ds

=== debian/changelog ===
salt (2016.3.1+ds-1) unstable; urgency=medium

  * New upstream release
  * Drop backported maintenance process patch
  * Change doc-base index file to ToC

 -- Wolodja Wentland <debian@babilen5.org>  Wed, 13 Jul 2016 10:46:06 +0200
