## salt 2016.3.2+ds

=== debian/changelog ===
salt (2016.3.2+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Al Nikolov <clown@debian.org>  Mon, 03 Oct 2016 19:22:29 +0300

salt (2016.3.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Fix documentation build (see upstream bug #35399).

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 25 Aug 2016 19:00:32 +0200
