=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
            Franklin G Mendoza <franklin.g.mendoza@gmail.com>,
            Andriy Senkovych <jolly_roger@itblog.org.ua>,
            Benjamin Drung <benjamin.drung@profitbricks.com>,
-           Wolodja Wentland <debian@babilen5.org>
+           Wolodja Wentland <debian@babilen5.org>,
+           Al Nikolov <clown@debian.org>
 Build-Depends: bash-completion,
                debhelper (>= 9.20120410~),
                dh-python,
@@ -14,6 +15,7 @@
                dpkg-dev (>= 1.16.2),
                python | python-all | python-dev | python-all-dev,
                python-debian,
+               python-msgpack,
                python-setuptools
 Build-Depends-Indep: python-sphinx (>= 1.3.5), python2.7-doc
 Standards-Version: 3.9.8
