## salt 2016.3.3+ds

=== debian/changelog ===
salt (2016.3.3+ds-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Al Nikolov <clown@debian.org>  Wed, 02 Nov 2016 10:07:16 +0200

salt (2016.3.3+ds-3) unstable; urgency=medium

  * Remove grains type deprecation warning from 2016.3

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 27 Oct 2016 17:03:26 +0200

salt (2016.3.3+ds-2) unstable; urgency=medium

  * Depend on python-systemd for all services (needed for startup notification)
    unless sysvinit is used as default init system
  * Cherry-pick upstream commit to fix error when profiling is turned on and
    minions don't return.
  * Preserve the merge order specified in env_order (fixes upstream bug #29104)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Tue, 25 Oct 2016 11:46:19 +0200

salt (2016.3.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * Replace doc build fix patch by final patch version from 2016.3 branch
  * Correct Vcs-Git URL
  * Make the Salt Proxy environment aware (patch taken from develop branch)
  * Depend on lsb-base (>= 3.0-6) for /lib/lsb/init-functions

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Tue, 18 Oct 2016 11:45:38 +0200
