## salt 2016.3.4+ds

=== debian/changelog ===
salt (2016.3.4+ds-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Al Nikolov <clown@debian.org>  Tue, 06 Dec 2016 23:14:05 +0200

salt (2016.3.4+ds-2) unstable; urgency=medium

  * Workaround-wrong-oscodename-grain.patch: Fix salt-minion startup issue when
    VERSION_ID is not defined in /etc/os-release.

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Tue, 29 Nov 2016 10:47:07 +0100

salt (2016.3.4+ds-1) unstable; urgency=medium

  * New upstream release.
  * Drop four upstream-applied patches and refresh remaining patches
  * Support initializing OpenSSL 1.1 (patch accepted upstream) (Closes: #844503)
  * Fix/workaround wrong oscodename grain (when lsb-release is not installed)
  * Cherry-pick tempfile cleanup fix from pull request 37540

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 24 Nov 2016 15:35:04 +0100
