=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Andriy Senkovych <jolly_roger@itblog.org.ua>,
            Benjamin Drung <benjamin.drung@profitbricks.com>,
            Wolodja Wentland <debian@babilen5.org>,
-           Al Nikolov <clown@debian.org>
+           Al Nikolov <clown@deian.org>
 Build-Depends: bash-completion,
                debhelper (>= 9.20120410~),
                dh-python,
@@ -21,7 +21,7 @@
 Standards-Version: 3.9.8
 Homepage: http://saltstack.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-salt/salt.git
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-salt/salt.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-salt/salt.git
 
 Package: salt-common
 Architecture: all
@@ -59,7 +59,8 @@
 
 Package: salt-master
 Architecture: all
-Depends: python-crypto (>= 2.6),
+Depends: lsb-base (>= 3.0-6),
+         python-crypto (>= 2.6),
          python-msgpack,
          python-systemd | sysvinit-core,
          python-zmq (>= 13.1.0),
@@ -90,8 +91,10 @@
 Architecture: all
 Depends: bsdmainutils,
          dctrl-tools,
+         lsb-base (>= 3.0-6),
          python-crypto (>= 2.6),
          python-msgpack,
+         python-systemd | sysvinit-core,
          python-zmq (>= 13.1.0),
          salt-common (= ${source:Version}),
          ${misc:Depends},
@@ -119,7 +122,11 @@
 
 Package: salt-syndic
 Architecture: all
-Depends: salt-master (= ${source:Version}), ${misc:Depends}, ${python:Depends}
+Depends: lsb-base (>= 3.0-6),
+         python-systemd | sysvinit-core,
+         salt-master (= ${source:Version}),
+         ${misc:Depends},
+         ${python:Depends}
 Description: master-of-masters for salt, the distributed remote execution system
  salt is a powerful remote execution manager that can be used to
  administer servers in a fast and efficient way.
@@ -223,7 +230,11 @@
 
 Package: salt-api
 Architecture: all
-Depends: salt-master, ${misc:Depends}, ${python:Depends}
+Depends: lsb-base (>= 3.0-6),
+         python-systemd | sysvinit-core,
+         salt-master,
+         ${misc:Depends},
+         ${python:Depends}
 Recommends: python-cherrypy3
 Description: Generic, modular network access system
  a modular interface on top of Salt that can provide a variety of entry points
