## salt 2016.11.1+ds

=== debian/changelog ===
salt (2016.11.1+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Temporarily disable cleaning the upstream doc to workaround #851559.

 -- Al Nikolov <clown@debian.org>  Sun, 29 Jan 2017 13:19:50 +0300

salt (2016.11.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Drop 3 patches that are included upstream and refresh remaining patches.

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Fri, 23 Dec 2016 17:36:42 +0100
