=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	make -C doc man
 
 override_dh_auto_clean:
-	make -C doc clean
+	#make -C doc clean # disabled to workaround #851559
 	dh_auto_clean
 
 override_dh_fixperms:
