## salt 2016.11.2%2Bds

=== debian/changelog ===
salt (2016.11.2+ds-1+deb9u2) stretch; urgency=medium

  * Fix CVE-2017-8109: salt-ssh minion copied over configuration from the
    Salt Master without adjusting permissions (Closes: #861219)

 -- Ondřej Nový <onovy@debian.org>  Fri, 20 Apr 2018 14:33:54 +0200

salt (2016.11.2+ds-1+deb9u1) stretch; urgency=medium

  * Fix CVE-2017-12791: Directory traversal vulnerability on salt-master
    via crafted minion IDs (Closes: #872399)
  * Fix CVE-2017-14695: Directory traversal vulnerability in minion id
    validation in SaltStack (Closes: #879089)
  * Fix CVE-2017-14696: Remote Denial of Service with a specially crafted
    authentication request (Closes: #879090)
  * Check if data[return] is dict type (Closes: #887724)
  * Do not require sphinx-build for cleaning docs (Closes: #851559)

 -- Ondřej Nový <onovy@debian.org>  Mon, 22 Jan 2018 16:30:47 +0100

salt (2016.11.2+ds-1) unstable; urgency=medium

  * New upstream bug-fix release. Security fixes:
    - CVE-2017-5192: local_batch client external authentication not respected
    - CVE-2017-5200: Salt-api allows arbitrary command execution on a
      salt-master via Salt's ssh_client
  * Refresh patches
  * Fix top_file_merging_strategy warning if env_order is set (fixes upstream
    bug #29104)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Wed, 01 Feb 2017 17:09:07 +0100
